package org.stareditor.comp;

import com.sun.star.lang.XMain;
import com.sun.star.uno.XComponentContext;
import com.sun.star.comp.loader.FactoryHelper;
import com.sun.star.lang.XSingleServiceFactory;
import com.sun.star.lang.XMultiServiceFactory;
import com.sun.star.registry.XRegistryKey;

public class MyJavaMain implements XMain {

  final static String __serviceName = "org.stareditor.Main";
  XComponentContext _xCtx;
  
  public MyJavaMain (XComponentContext xCtx) {
    _xCtx = xCtx;
  }
  
  public int run (String[] arguments) {
    System.out.println("Hello URE World in Java ;)");
    return 0;
  }
  
  public static XSingleServiceFactory __getServiceFactory(
      String implName, XMultiServiceFactory multiFactory, XRegistryKey regKey){
    
    XSingleServiceFactory xSingleServiceFactory = null;

    if (implName.equals(MyJavaMain.class.getName())) {
      xSingleServiceFactory = FactoryHelper.getServiceFactory(
        MyJavaMain.class, MyJavaMain.__serviceName, multiFactory, regKey);
    }
    
    return xSingleServiceFactory;
  }
  
  public static boolean __writeRegistryServiceInfo(XRegistryKey regKey) {
    boolean b = FactoryHelper.writeRegistryServiceInfo(
      MyJavaMain.class.getName(), MyJavaMain.__serviceName, regKey);

    return b;
  }
}
